Bug 1261856 - /usr/share/nginx/html should be httpd_sys_content_t
/usr/share/nginx/html should be httpd_sys_content_t
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Vit Mojzis
Fedora Extras Quality Assurance
:
Depends On: 1261854
Blocks: 1168968
  Show dependency treegraph
 
Reported: 2015-09-10 06:27 EDT by Jamie Nguyen
Modified: 2015-11-26 22:55 EST (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-128.20.fc22 selinux-policy-3.13.1-128.21.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 22:55:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2015-09-10 06:27:03 EDT
(This bug is identical to https://bugzilla.redhat.com/show_bug.cgi?id=1261854 but to track F22.)

Default html files for nginx are located in /usr/share/nginx/html. Currently fixed by running:

semanage fcontext -a -t httpd_sys_content_t "/usr/share/nginx/html(/.*)?"
Comment 1 Vit Mojzis 2015-10-15 08:43:41 EDT
commit 0d693781fb015db188d92f18e760650a9c59ae68
Author: Vit Mojzis <vmojzis@redhat.com>
Date:   Thu Oct 15 12:07:27 2015 +0200

    Fix context of "/usr/share/nginx/html". #1261856
Comment 2 Fedora Update System 2015-11-03 04:47:13 EST
selinux-policy-3.13.1-128.19.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5fab64b918
Comment 3 Fedora Update System 2015-11-03 13:57:11 EST
selinux-policy-3.13.1-128.19.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5fab64b918
Comment 4 Fedora Update System 2015-11-09 12:56:09 EST
selinux-policy-3.13.1-128.20.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f396e330d9
Comment 5 Fedora Update System 2015-11-09 21:22:14 EST
selinux-policy-3.13.1-128.20.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f396e330d9
Comment 6 Fedora Update System 2015-11-20 08:13:58 EST
selinux-policy-3.13.1-128.21.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bbd3df966
Comment 7 Fedora Update System 2015-11-21 12:52:23 EST
selinux-policy-3.13.1-128.21.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bbd3df966
Comment 8 Fedora Update System 2015-11-26 22:53:22 EST
selinux-policy-3.13.1-128.21.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.